Subject: Ticket Assigned - Article Feedback - How do I get a refund if I paid for my order by cash?
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 31 Mar 2022 15:35:04 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - How do I get a refund if I paid for my order by cash? Feedback for:  How do I get a refund if I paid for my order by cash? Hi I ordered before 11 days and they give me a wrong item I asked them to return it they already took it, but I have waited 11 days how long do you want me to wait 2 months  
If it's normal return it's ok I will wait the process  
But they gave me wrong item, it's not my fault https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4098579